Subject: bug#14001: guile-2.0.7 : 1 of 1 test failed on Debian Linux 3.2.0-4-powerpc64

From: Mark H Weaver <[email-masked]>
Date: Fri, 22 Mar 2013 13:44:08 -0400

Marijn <[email-masked]> writes:

> On 22-03-13 13:48, Ludovic Courtès wrote:
>> 
>> Thanks for the report.  The failure is:
>> 
>> FAIL: gc.test: gc: Lexical vars are collectable
>> 
>> Unfortunately, this test exercises the garbage collector, and its 
>> failure does not always indicate a problem.
>> 
>> Since this is the only GC-related failure here, I would ignore it.
>> 
>> So I’m closing the bug.
>
> Can I just add that a failing test that doesn't indicate a problem is
> rather annoying. Can this specific test be removed or disabled if it
> can't be improved?

I agree.  If we're going to ignore these failures (which seems
reasonable), then it should at least be downgraded to a warning,
and not cause the 'make check' to fail.  IMO anyway.

     Thanks,
       Mark